Public API

Documentation for MixBlob’s color and palette endpoints.

Use the public API to convert colors, extract palettes, generate gradients, and bring MixBlob’s color workflow into your own products.

Images: Extract Colors

Extract dominant colors from an image via URL or S3 key.

Request

curl -X POST https://api.mixipaint.com/v1/images/extract-colors \
+  -H "content-type: application/json" \
+  -H "x-api-key: YOUR_API_KEY" \
+  -d '{"s3Key":"public/images/sample.jpg","count":6}'

Body

{
  "s3Key": "public/images/sample.jpg",
  "count": 6
}

Response

{
  "palette": [
    "#aabbcc",
    "#112233",
    "#445566",
    "#778899",
    "#ddeeff",
    "#000111"
  ]
}

Errors

  • 400 invalid body or decoding failure
  • 401 missing API key
  • 403/404 S3 permissions or key not found

Rate Limits

Basic: 60 req/min (burst 100), 10,000/month. Pro: higher limits.